//-----------------------------------------------------------------------------
/*
 * Description: This file contains some global defines, typedefs, consts, etc.
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2003/11/28 19:05:29 $
 *   $Revision: 1.3 $
 */
//-----------------------------------------------------------------------------
#ifndef __Ax_Mail_Globals_H__
#define __Ax_Mail_Globals_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
#include <list>
#include <map>
#include <string>
#include <vector>

//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
//----- local -----------------------------------------------------------------
//----- vdr -------------------------------------------------------------------

//----- c-client --------------------------------------------------------------
// the following undef is necessary since c-client defines
// _XOPEN_SOURCE without checking if it's already defined
#ifdef _XOPEN_SOURCE
#undef _XOPEN_SOURCE
#endif
#include <c-client.h>

//----- other includes --------------------------------------------------------

//=============================================================================
//     namespace Ax
//=============================================================================
namespace Ax
{
  //===========================================================================
  //     namespace Mail
  //===========================================================================
  namespace Mail
  {
    //=========================================================================
    //     forward declarations
    //=========================================================================
    class Mail;
    class MailPart;
    class MailBox;
    class MailBoxSetup;

    //=========================================================================
    //     typedefs
    //=========================================================================
    typedef std::vector<Mail *>                 MailVector;
    typedef std::vector<const MailPart *>       MailPartVector;
    typedef std::list<const MailPart *>         MailPartList;
    typedef std::list<MailBox *>                MailBoxList;
    typedef std::list<MailBoxSetup *>           MailBoxSetupList;
    typedef std::map<MAILSTREAM *, MailBox *>   Stream2MailBoxMap;
    typedef std::map<std::string , std::string> String2StringMap;

    //=========================================================================
    //     enum MailFlag
    //=========================================================================
    /** The flags for a mail which are currently supported
     *
     * \todo MF_RECENT aka \c \Recent is missing
     */
    enum MailFlag
    {
      MF_SEEN        ///< \c \Seen     flag
    , MF_FLAGGED     ///< \c \Flagged  flag
    , MF_DELETED     ///< \c \Deleted  flag
    , MF_ANSWERED    ///< \c \Answered flag
    }; // enum AxMailFlag

  }; // namespace Mail

}; // namespace Ax

#endif

