//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class Ax::Mail::MailBoxSetup
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/04/04 15:44:26 $
 *   $Revision: 1.7 $
 */
//-----------------------------------------------------------------------------

//=============================================================================
//     includes
//=============================================================================
//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- ICE -------------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
#include <algorithm>

//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
#include <Ax/Tools/Trace.h>
// #include <Ax/Tools/TraceOn.h>
#include <Ax/Mail/MailBoxSetup.h>

//----- vdr -------------------------------------------------------------------
//----- local plugin ----------------------------------------------------------
//----- locals ----------------------------------------------------------------

//=============================================================================
//     defines
//=============================================================================

//=============================================================================
//     using namespaces
//=============================================================================
using namespace std;
using namespace Ax::Mail;

//=============================================================================
//     class MailBoxSetup
//=============================================================================

//-------------------------------------------------------------------------
//     MailBoxSetup::MailBoxSetup()
//-------------------------------------------------------------------------
MailBoxSetup::MailBoxSetup()
{
  clear();
} // MailBoxSetup::MailBoxSetup()

//-------------------------------------------------------------------------
//     MailBoxSetup::MailBoxSetup()
//-------------------------------------------------------------------------
MailBoxSetup::MailBoxSetup(const MailBoxSetup &that)
{
  strcpy(AccountName     , that.AccountName    );
  strcpy(LoginName       , that.LoginName      );
  strcpy(LoginPass       , that.LoginPass      );
  strcpy(MailBox         , that.MailBox        );
         fAutoMarkSeen   = that.fAutoMarkSeen   ;
         fExpungeOnClose = that.fExpungeOnClose ;
         BGCheckMode     = that.BGCheckMode     ;
         AccessMode      = that.AccessMode      ;
  strcpy(AccessCode      , that.AccessCode     );
} // MailBoxSetup::MailBoxSetup()

//-------------------------------------------------------------------------
//     MailBoxSetup::operator=()
//-------------------------------------------------------------------------
MailBoxSetup &MailBoxSetup::operator=(const MailBoxSetup &that)
{
  if (this != &that)
  {
    strcpy(AccountName     , that.AccountName    );
    strcpy(LoginName       , that.LoginName      );
    strcpy(LoginPass       , that.LoginPass      );
    strcpy(MailBox         , that.MailBox        );
           fAutoMarkSeen   = that.fAutoMarkSeen   ;
           fExpungeOnClose = that.fExpungeOnClose ;
           BGCheckMode     = that.BGCheckMode     ;
           AccessMode      = that.AccessMode      ;
    strcpy(AccessCode      , that.AccessCode     );
  } // if
  return *this;
} // MailBoxSetup::operator=()

//-------------------------------------------------------------------------
//     MailBoxSetup::clear()
//-------------------------------------------------------------------------
void MailBoxSetup::clear()
{
  memset(AccountName     , 0, sizeof(AccountName     ));
  memset(LoginName       , 0, sizeof(LoginName       ));
  memset(LoginPass       , 0, sizeof(LoginPass       ));
  memset(MailBox         , 0, sizeof(MailBox         ));
         fAutoMarkSeen   = false;
         fExpungeOnClose = false;
         BGCheckMode     = BG_MODE_NONE;
         AccessMode      = AM_NONE     ;
  memset(AccessCode      , 0, sizeof(AccessCode      ));
} // MailBoxSetup::clear()
