//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuCode
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   28.03.2004
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/05/31 11:36:52 $
 *   $Revision: 1.2 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxMenuCode_H__
#define __AxMenuCode_H__

//=============================================================================
//     includes
//=============================================================================

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>
#include <vdr/menuitems.h>

//----- AxLib -----------------------------------------------------------------
//----- local -----------------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================

//=============================================================================
//     class AxMenuCode
//=============================================================================
/** Menu to enter a numerical code
 */
class AxMenuCode : public cOsdMenu
{
  typedef cOsdMenu PARENT;

  public:
    //-------------------------------------------------------------------------
    //     AxMenuCode()
    //-------------------------------------------------------------------------
    /** Constructor
     */
    AxMenuCode(const char *theCode, int theCodeMaxLen, bool &fCodeOK);

    //-------------------------------------------------------------------------
    //     ~AxMenuCode()
    //-------------------------------------------------------------------------
    /** Destructor
     */
    virtual ~AxMenuCode();

    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /** Process key press events
     */
    virtual eOSState ProcessKey(eKeys Key);

  private:
    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    int       myCodeMaxLen; ///< maximum number of chars in the code
    bool     &myCodeOk    ; ///< flag: is the code ok?
    char     *myReqCode   ; ///< required code
    char     *myActCode   ; ///< entered  code
    cOsdItem *myCodeItem  ; ///< OSDItem for the code

}; // class AxMenuCode

#endif
