//-----------------------------------------------------------------------------
/* 
 * Description: This file contains the class AxMenuConfigCommon 
 * 
 * See the file README in the main directory for a description of 
 * this software, copyright information, and how to reach the author. 
 * 
 * Author: alex
 * Date:   18.12.2003
 *
 * Last modfied:
 *   $Author: alex $ 
 *   $Date: 2003/12/19 14:24:37 $ 
 *   $Revision: 1.1 $ 
 */
//-----------------------------------------------------------------------------
#ifndef __AxMenuConfigCommon_H__
#define __AxMenuConfigCommon_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------
//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>

//----- AxLib -----------------------------------------------------------------
//----- local -----------------------------------------------------------------
#include "AxPluginSetup.h"

//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================

//=============================================================================
//     class AxMenuConfigCommon
//=============================================================================
/** Setup menu for one mail account.
 */
class AxMenuConfigCommon : public cOsdMenu
{  
    typedef cOsdMenu PARENT;  
    
  public:    
    //-------------------------------------------------------------------------
    //     AxMenuConfigCommon()    
    //-------------------------------------------------------------------------    
    /** Constructor     
     */
    AxMenuConfigCommon(AxPluginSettings *theSettings);

    //-------------------------------------------------------------------------    
    //     ~AxMenuConfigCommon()    
    //-------------------------------------------------------------------------    
    /** Destructor     
     */    
    virtual ~AxMenuConfigCommon();  
  
  protected:    
    //-------------------------------------------------------------------------    
    //     Store()    
    //-------------------------------------------------------------------------    
    /** save the current settings to the config-file
     */    
    virtual void Store(void);  
    
  public:    
    //-------------------------------------------------------------------------    
    //     ProcessKey()    
    //-------------------------------------------------------------------------    
    /**     
      */    
    virtual eOSState ProcessKey(eKeys Key);  
    
  private:    
    //-------------------------------------------------------------------------    
    //     AxMenuConfigCommon::setButtons()
    //-------------------------------------------------------------------------    
    void AxMenuConfigCommon::setButtons(int theButtonPageNum = 0);    
    
    //-------------------------------------------------------------------------    
    //     attributes    
    //-------------------------------------------------------------------------    
    AxPluginSettings *myOldSettings;
    AxPluginSettings  myNewSettings;
}; // class AxMenuConfigCommon

#endif

