//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuConfigMailBox
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   17.11.2003
 * * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/04/04 15:53:38 $
 *   $Revision: 1.4 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxMenuConfigMailBox_H__
#define __AxMenuConfigMailBox_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------
//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/Mail/MailBoxSetup.h>

//----- local -----------------------------------------------------------------
//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================
class AxPluginSettings;

//=============================================================================
//     class AxMenuConfigMailBox
//=============================================================================
/** Setup menu for one mail account.
 */
class AxMenuConfigMailBox : public cOsdMenu
{
    typedef cOsdMenu PARENT;

  public:
    //-------------------------------------------------------------------------
    //     AxMenuConfigMailBox()
    //-------------------------------------------------------------------------
    /** Constructor
     */
    AxMenuConfigMailBox(AxPluginSettings *thePluginSetup, Ax::Mail::MailBoxSetup *theSetup);

    //-------------------------------------------------------------------------
    //     ~AxMenuConfigMailBox()
    //-------------------------------------------------------------------------
    /** Destructor
     */
    virtual ~AxMenuConfigMailBox();

  protected:
    //-------------------------------------------------------------------------
    //     Store()
    //-------------------------------------------------------------------------
    /** save the current settings to the config-file
     */
    virtual void Store(void);

  public:
    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /**
      */
    virtual eOSState ProcessKey(eKeys Key);

  private:
    //-------------------------------------------------------------------------
    //     AxMenuConfigMailBox::setButtons()
    //-------------------------------------------------------------------------
    void AxMenuConfigMailBox::setButtons(int theButtonPageNum = 0);

    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    AxPluginSettings       *myPluginSetup;
    Ax::Mail::MailBoxSetup *myOldSetup;
    Ax::Mail::MailBoxSetup  myNewSetup;

    static const char *MailBoxNameChars;
    static const char *UserNameChars;
    static const char *PaswordChars;
    static const char *MailBoxChars;
    static const char *AccessCodeChars;

}; // class AxMenuConfigMailBox

#endif

