//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuConfigPlugin
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/05/31 12:52:20 $
 *   $Revision: 1.3 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxMenuConfigPlugin_H__
#define __AxMenuConfigPlugin_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/menuitems.h>

//----- local -----------------------------------------------------------------
#include "AxPluginSetup.h"

//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================
namespace Ax
{
  namespace Mail
  {
    class MailBoxSetup;
  };
};

//=============================================================================
//     class AxMenuConfigPlugin
//=============================================================================
/** Main setup menu page for the mail plugin.
 */
class AxMenuConfigPlugin : public cMenuSetupPage
{
  typedef cMenuSetupPage PARENT;

  public:
    //-------------------------------------------------------------------------
    //     AxMenuConfigPlugin()
    //-------------------------------------------------------------------------
    /** Constructor
     */
    AxMenuConfigPlugin(AxPluginMailBox *thePlugin, AxPluginSetup *theSetup);

    //-------------------------------------------------------------------------
    //     ~AxMenuConfigPlugin()
    //-------------------------------------------------------------------------
    /** Destructor
     */
    virtual ~AxMenuConfigPlugin();

  protected:
    //-------------------------------------------------------------------------
    //     Store()
    //-------------------------------------------------------------------------
    /** save the current settings to the config-file
     */
    virtual void Store(void);

  public:
    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /** Process key press events
     */
    virtual eOSState ProcessKey(eKeys Key);

  private:

    //-------------------------------------------------------------------------
    //     addMailBoxItem()
    //-------------------------------------------------------------------------
    cOsdItem *addMailBoxItem(Ax::Mail::MailBoxSetup *theMBSetup);

    //-------------------------------------------------------------------------
    //     AddSeparator()
    //-------------------------------------------------------------------------
    void AddSeparator(const char *Title);

    //-------------------------------------------------------------------------
    //     AxMenuConfigPlugin::setButtons()
    //-------------------------------------------------------------------------
    void AxMenuConfigPlugin::setButtons(int theButtonPageNum = 1);

    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    AxPluginMailBox *myPlugin  ;
    AxPluginSetup   *myOldSetup;
    AxPluginSetup    myNewSetup;

    //-------------------------------------------------------------------------
    // the following two attributes are only used for locked accounts
    //-------------------------------------------------------------------------
    enum eAction
    {
      ACT_NONE
    , ACT_EDIT
    , ACT_DELETE
    };

    eAction                 myLockAction;
    bool                    myLockCodeIsOk;
    Ax::Mail::MailBoxSetup *myLockMailBoxSetup;

}; // class AxMenuConfigPlugin

#endif

