//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuMailBoxView
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   17.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/05/31 12:52:20 $
 *   $Revision: 1.2 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxMenuMailBoxView_H__
#define __AxMenuMailBoxView_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
#include <map>
#include <vector>

//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/Mail/Globals.h>

//----- local -----------------------------------------------------------------
#include "AxPluginSetup.h"

//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================
class AxPluginMailBox;
namespace Ax
{
  namespace Mail
  {
    class MailBox;
  };
};

//=============================================================================
//     class AxMenuMailBoxView
//=============================================================================
/** Menu to select a mail account and to call the mail-list-view.
 */
class AxMenuMailBoxView : public cOsdMenu
{
  typedef cOsdMenu PARENT;

  public:
    //-------------------------------------------------------------------------
    //     AxMenuMailBoxView()
    //-------------------------------------------------------------------------
    /** Constructor
     *
     *  VDR takes responsibility for the created items.
     */
    AxMenuMailBoxView(AxPluginMailBox *thePlugin);

    //-------------------------------------------------------------------------
    //     ~AxMenuMailBoxView()
    //-------------------------------------------------------------------------
    /** Destructor
     */
    virtual ~AxMenuMailBoxView();

    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /** Process key press events
     */
    virtual eOSState ProcessKey(eKeys Key);

    //-------------------------------------------------------------------------
    //     setButtons()
    //-------------------------------------------------------------------------
    void setButtons(int theButtonPageNum);

  private:
    //-------------------------------------------------------------------------
    //     checkMailBoxes()
    //-------------------------------------------------------------------------
    void checkMailBoxes();

    //-------------------------------------------------------------------------
    //     checkMailBox()
    //-------------------------------------------------------------------------
    void checkMailBox(int theIndex);

    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    AxPluginMailBox *myPlugin ; ///< pointer to the plugin
    int              myButtonPage;

    //-------------------------------------------------------------------------
    // the following two attributes are only used for locked accounts
    //-------------------------------------------------------------------------
    bool                 myLockCodeIsOk; ///< is the entered code ok?
    Ax::Mail::MailBox   *myLockMailBox;  ///< mailbox to display after unlocked

}; // class AxMenuMailBoxView

#endif

