//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMenuMailListView
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/01/10 22:49:44 $
 *   $Revision: 1.2 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxMenuMailListView_H__
#define __AxMenuMailListView_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>

//----- AxLib -----------------------------------------------------------------
#include <Ax/Mail/Globals.h>

//----- local -----------------------------------------------------------------
//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================
class AxPluginMailBox;

//=============================================================================
//     class AxMenuMailListView
//=============================================================================
/** Menu to display a list of mails.
 */
class AxMenuMailListView : public cOsdMenu
{
  typedef cOsdMenu PARENT;

    //-------------------------------------------------------------------------
    //     enum AxPage
    //-------------------------------------------------------------------------
    enum AxPage
    {
      PAGE_JUMP
    , PAGE_MARK
    }; // enum AxPage

  public:
    //-------------------------------------------------------------------------
    //     AxMenuMailListView()
    //-------------------------------------------------------------------------
    /** Constructor
     */
    AxMenuMailListView(AxPluginMailBox *thePlugin, Ax::Mail::MailBox *theMailBox, bool fShowAll);

    //-------------------------------------------------------------------------
    //     ~AxMenuMailListView()
    //-------------------------------------------------------------------------
    /** Destructor
     */
    virtual ~AxMenuMailListView();

    //-------------------------------------------------------------------------
    //     ProcessKey()
    //-------------------------------------------------------------------------
    /** Process key press events
     */
    virtual eOSState ProcessKey(eKeys Key);

    //-------------------------------------------------------------------------
    //     setCurrentMail()
    //-------------------------------------------------------------------------
    /**
     */
    virtual void setCurrentMail(Ax::Mail::Mail *theMail);

    //-------------------------------------------------------------------------
    //     getCurrentMail()
    //-------------------------------------------------------------------------
    /**
     */
    Ax::Mail::Mail *getCurrentMail();

  private:
    //-------------------------------------------------------------------------
    //     updateTitle()
    //-------------------------------------------------------------------------
    void updateTitle();

    //-------------------------------------------------------------------------
    //     setButtons()
    //-------------------------------------------------------------------------
    void setButtons(AxPage theButtonPageNum);

    //-------------------------------------------------------------------------
    //     showMails()
    //-------------------------------------------------------------------------
    void showMails();

    //-------------------------------------------------------------------------
    //     selectMail()
    //-------------------------------------------------------------------------
    void selectMail(Ax::Mail::Mail *theMail);

    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    AxPluginMailBox   *myPlugin ; ///< pointer to the plugin
    Ax::Mail::MailBox *myMailBox;
    bool               myShowAll;
    AxPage             myButtonPage;

    Ax::Mail::Mail    *myMail   ; ///< the mail which is displayed
    Ax::Mail::Mail    *myPrevNew; ///< cache the prev new mail, updated in showMail()
    Ax::Mail::Mail    *myNextNew; ///< cache the next new mail, updated in showMail()

}; // class AxMenuMailListView

#endif

