//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxPluginSetup
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/05/31 12:52:21 $
 *   $Revision: 1.10 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxPluginSetup_H__
#define __AxPluginSetup_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
#include <Ax/Mail/Globals.h>

//----- local -----------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
//----- local -----------------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================
class AxPluginMailBox;

//=============================================================================
//     typedefs
//=============================================================================

//=========================================================================
//     class AxPluginSettings
//=========================================================================
/** Small class to hold the settings for the plugin
*/
class AxPluginSettings
{
  public:
    //-------------------------------------------------------------------------
    //     AxPluginSettings()
    //-------------------------------------------------------------------------
    AxPluginSettings();

    //-------------------------------------------------------------------------
    //     AxPluginSettings()
    //-------------------------------------------------------------------------
    AxPluginSettings(const AxPluginSettings &that);

    //-------------------------------------------------------------------------
    //     operator=()
    //-------------------------------------------------------------------------
    AxPluginSettings &operator=(const AxPluginSettings &that);

    //-------------------------------------------------------------------------
    //     clear()
    //-------------------------------------------------------------------------
    void clear();

    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
    int  BGCheckDelay ;
    int  DebugCClient ;
#if ALEX_NOPORT
    int  MBV_Font     ;
    int  MLV_Font     ;
#endif
    int  MLV_SortOrder;
    int  MLV_MaxMails ;
#if ALEX_NOPORT
    int  MV_HeadFont  ;
    int  MV_BodyFont  ;
    int  MV_JumpSize  ;
#endif
    int  MV_ViewMode  ;
    char MailCmd[2048];

}; // class AxPluginSettings


//=============================================================================
//     class AxPluginSetup
//=============================================================================
class AxPluginSetup
{
  public:
    //-------------------------------------------------------------------------
    //     AxPluginSetup()
    //-------------------------------------------------------------------------
    AxPluginSetup(cPlugin *thePlugin);

    //-------------------------------------------------------------------------
    //     AxPluginSetup()
    //-------------------------------------------------------------------------
    AxPluginSetup(const AxPluginSetup &that);

    //-------------------------------------------------------------------------
    //     operator=()
    //-------------------------------------------------------------------------
    AxPluginSetup &operator=(const AxPluginSetup &that);

    //-------------------------------------------------------------------------
    //     ~AxPluginSetup()
    //-------------------------------------------------------------------------
    ~AxPluginSetup();

    //-------------------------------------------------------------------------
    //     loadAccounts()
    //-------------------------------------------------------------------------
    bool loadAccounts();

    //-------------------------------------------------------------------------
    //     saveAccounts()
    //-------------------------------------------------------------------------
    bool saveAccounts();

  private:
    //-------------------------------------------------------------------------
    //     copyFrom()
    //-------------------------------------------------------------------------
    void copyFrom(const AxPluginSetup &that);

    //-------------------------------------------------------------------------
    //     clear()
    //-------------------------------------------------------------------------
    void clear();

    //-------------------------------------------------------------------------
    //     clearAccounts()
    //-------------------------------------------------------------------------
    void clearAccounts();

    //-------------------------------------------------------------------------
    //     attributes
    //-------------------------------------------------------------------------
  public:
    AxPluginSettings           PluginSettings;
    Ax::Mail::MailBoxSetupList Accounts;

  private:
    cPlugin *myPlugin;

}; // class AxSettings

#endif

