//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxVdrTools
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   15.11.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2004/04/04 15:53:38 $
 *   $Revision: 1.7 $
 */
//-----------------------------------------------------------------------------
#ifndef __AxVdrTools_H__
#define __AxVdrTools_H__

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
//----- vdr -------------------------------------------------------------------
#include <vdr/osd.h>

//----- local -----------------------------------------------------------------

//----- other includes --------------------------------------------------------

//=============================================================================
//     forward declarations
//=============================================================================

//=============================================================================
//     class AxVdrTools
//=============================================================================
/** The class AxVdrTools contains some small helper functions for
 *  this vdr-plugin.
 */
class AxVdrTools
{
  public:
    //-------------------------------------------------------------------------
    //     Fonts
    //-------------------------------------------------------------------------
    static const int   FontCount;
    static const char* FontNames[];

    //-------------------------------------------------------------------------
    //     background-check modes
    //-------------------------------------------------------------------------
    static const int   BGCheckModeCount;
    static const char* BGCheckModeNames[];

    //-------------------------------------------------------------------------
    //     access-mode names
    //-------------------------------------------------------------------------
    static const int   AccessModeCount;
    static const char* AccessModeNames[];

    //-------------------------------------------------------------------------
    //     Sort order
    //-------------------------------------------------------------------------
    // the values of the enum correspond to the strings in SortOrderStrings
    enum SortOrder
    {
      SO_ASC     ///< ascending
    , SO_DESC    ///< descending
    , SO_COUNT   ///< number of entries
    };
    static const char *SortOrderStrings[];

    //-------------------------------------------------------------------------
    //     initialize()
    //-------------------------------------------------------------------------
    static void initialize();

    //-------------------------------------------------------------------------
    //     getOSStateStr()
    //-------------------------------------------------------------------------
    static const char *getOSStateStr(eOSState);

    //-------------------------------------------------------------------------
    //     getDvbFont()
    //-------------------------------------------------------------------------
    static eDvbFont getDvbFont(int theFontNum);

}; // class AxVdrTools

#endif

