//-----------------------------------------------------------------------------
/*
 * Description: This file contains the class AxMailTools
 *
 * See the file README in the main directory for a description of
 * this software, copyright information, and how to reach the author.
 *
 * Author: alex
 * Date:   12.12.2003
 *
 * Last modfied:
 *   $Author: alex $
 *   $Date: 2003/12/14 03:12:59 $
 *   $Revision: 1.1 $
 */
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//     includes
//-----------------------------------------------------------------------------

//----- qt --------------------------------------------------------------------
//----- CORBA -----------------------------------------------------------------
//----- ICE -------------------------------------------------------------------
//----- C++ -------------------------------------------------------------------
#include <string>
#include <algorithm>
#include <cctype>

//----- C ---------------------------------------------------------------------
//----- AxLib -----------------------------------------------------------------
#include <Ax/Tools/Trace.h>
#include <Ax/Tools/TraceOn.h>

//----- local -----------------------------------------------------------------
#include "AxMailTools.h"

//=============================================================================
//     using namespaces
//=============================================================================

//=============================================================================
//
//=============================================================================
// when compiled against AxLibDummy, we use vdr's logging
// defines and they need this variable
int SysLogLevel = 3;

//=============================================================================
//     main()
//=============================================================================
int main(int argc, char *argv[])
{
  if (argc == 1)
  {
    printf("usage: %s <string>\n", argv[0]);
    return 1;
  } // if

  std::string aSrc(argv[1]);
  std::string aDst;

  bool fOK = AxMailTools::decodeEncodedWords(aSrc, aDst);
//  bool fOK = AxMailTools::decodeEncodedWord("ISO-8859-1", "Q", aSrc, aDst);
//  bool fOK = AxMailTools::decodeISO_8859_1_Q(aSrc, aDst);

  printf("Src: '%s'\n", aSrc.c_str());
  printf("Dst: '%s'\n", aDst.c_str());
  printf("fOK: %d  \n", fOK);

  return 0;
} // main()


